diff --git a/doc/guix.texi b/doc/guix.texi
index 9966a8e697..a5558300fa 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -732,14 +732,17 @@ ready to use it.
 
 @cindex installing Guix from binaries
 @cindex installer script
-This section describes how to install Guix on an arbitrary system from a
-self-contained tarball providing binaries for Guix and for all its
-dependencies.  This is often quicker than installing from source, which
-is described in the next sections.  The only requirement is to have
-GNU@tie{}tar and Xz.
+This section describes how to install Guix from a binary archive.  Such
+installations often go faster than building from source, described
+later.  Guix requires a Linux or Hurd-based system and unpacking the
+archive requires GNU@tie{}tar and Xz.  The resulting installation is
+self-contained.
+
+@quotation Important
+This section only applies to systems without Guix.  Following it for
+existing Guix installations will overwrite important system files.
 
 @c Note duplicated from the ``Installation'' node.
-@quotation Note
 We recommend the use of this
 @uref{https://git.savannah.gnu.org/cgit/guix.git/plain/etc/guix-install.sh,
 shell installer script}.  The script automates the download, installation, and
